---
import DefaultLayout from "@/layouts/DefaultLayout.astro";
import FormattedDate from '@/components/FormattedDate.astro';
import { getCollection } from 'astro:content';
import { SITE_TITLE,SITE_DESCRIPTION, } from '@/consts';

export const args = {
  title: SITE_TITLE,
  description: SITE_DESCRIPTION,
};
const posts = (await getCollection('blog')).sort(
	(a, b) => b.data.pubDate.valueOf() - a.data.pubDate.valueOf(),
);
---

<DefaultLayout {...args}>
    <ul class="space-y-8">
    	{
    		posts.map((post) => (
    			<li class="space-y-2">
    				<a href={`/blog/${post.slug}/`} class="underline underline-offset-3 decoration-1">
    					<!-- img width={720} height={360} src={post.data.heroImage} alt="" /-->
    					<h4 class="headline-3 font-500">{post.data.title}</h4>
    				</a>
   					<p class="text-(xs zinc-500) font-sans">
  						<FormattedDate date={post.data.pubDate} />
   					</p>
    			</li>
    		))
    	}
    </ul>
</DefaultLayout>
